# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI="2"

inherit eutils depend.apache depend.php

MY_P="${P/_p/-}"
MY_PV="${PV/_p*/}"

DESCRIPTION="Pulse 2 - Open Source Computer System Management !"
HOMEPAGE="http://pulse2.mandriva.org/"
SRC_URI="http://pulse2.mandriva.org/pub/pulse2/server/sources/${MY_PV}/${MY_P}.tar.gz
	http://ftp.mars.arge.at/mds/${MY_P}.tar.gz"

LICENSE="GPL-2"
KEYWORDS="~amd64 ~x86 ~x86-fbsd"
IUSE=""
DEPEND="sys-apps/lsb-release
	sys-devel/gettext"
RDEPEND=">=app-admin/mmc-web-base-2.3.1
	>=app-admin/pulse2-mmc-plugins-${MY_PV}"
SLOT="0"

S="${WORKDIR}/${PN}-${MY_PV}"

need_php_httpd

src_install() {
	emake DESTDIR="${D}" PREFIX=/usr install || die "install failed"
}
